Bug 508519 - Firefox dies on pages requiring a password
Firefox dies on pages requiring a password
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-28 05:16 EDT by Paul F. Johnson
Modified: 2009-08-28 11:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-28 11:57:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
strace output from firefox (47.87 KB, text/plain)
2009-06-28 05:16 EDT, Paul F. Johnson
no flags Details
stack trace (run firefox, copy and paste results) (10.64 KB, text/plain)
2009-06-28 07:33 EDT, Paul F. Johnson
no flags Details

  None (edit)
Description Paul F. Johnson 2009-06-28 05:16:13 EDT
Created attachment 349694 [details]
strace output from firefox

Description of problem:
If I go to Facebook or eBay, firefox dies immediately after clicking on the enter buttons with a buffer overflow.

I've have rebuilt against the latest xulrunner and gcc incase it was this, but I'm still getting the same error

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. go to facebook.com, enter details, click on go
2. do the same for eBay
Actual results:
Firefox dies

Expected results:
I can go to the websites

Additional info:
Comment 1 Paul F. Johnson 2009-06-28 05:17:54 EDT
Backtrace looks like xulrunner may really be at fault here...
Comment 2 Yanko Kaneti 2009-06-28 05:36:43 EDT
If you have the backtrace (not the strace) can you please post it. That is, run firefox under gdb.

firefox -g
Comment 3 Paul F. Johnson 2009-06-28 07:32:00 EDT
For some reason, ddd is complaining that I don't have the debug file installed, despite me enabling the repo, grabbing it and installing!
Comment 4 Paul F. Johnson 2009-06-28 07:33:43 EDT
Created attachment 349700 [details]
stack trace (run firefox, copy and paste results)
Comment 5 Yanko Kaneti 2009-06-28 07:53:06 EDT
See bug 506952 . The glibc backtrace after the fortify fail is not specific enough to tell if its the same code or not. It would be good to have a full gdb backtrace. 
 You might want to rebuild xulrunner with the last attached patch there, or with --enable-system-hunspell  to see if it would fix it for you.
Comment 6 Matěj Cepl 2009-06-29 08:53:31 EDT
Full explanation of debugging for firefox (which is unfortunately too complicated) follows:

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 7 Yanko Kaneti 2009-06-30 18:36:15 EDT
Please check if this is fixed by xulrunner-1.9.1-2.fc12 in tomorrows rawhide
or from koji http://koji.fedoraproject.org/koji/buildinfo?buildID=112384
Comment 8 Paul F. Johnson 2009-08-28 11:57:51 EDT
Working fine now. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.